io.agora.rtc

## Class AgoraDeviceInfo

- java.lang.Object
- - io.agora.rtc.AgoraDeviceInfo

-     public class AgoraDeviceInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraDeviceInfo(long cptr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `int` | `getCapability(java.lang.String device_unique_id_utf8, int device_capability_number, Out capability)`
    `int` | `getDeviceName(int deviceNum, Out<java.lang.String> deviceName, Out<java.lang.String> deviceUniqueId, Out<java.lang.String> productUniqueId)`
    `private void` | `ndestroy()`
    `int` | `numberOfCapabilities(java.lang.String device_unique_id_utf8)`
    `int` | `numberOfDevices()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

  - ### Constructor Detail

    - #### AgoraDeviceInfo

          public AgoraDeviceInfo(long cptr)

  - ### Method Detail

    - #### ndestroy

          private void ndestroy()

    - #### destroy

          public void destroy()

    - #### numberOfDevices

          public int numberOfDevices()

    - #### getDeviceName

          public int getDeviceName(int deviceNum,
                                   Out<java.lang.String> deviceName,
                                   Out<java.lang.String> deviceUniqueId,
                                   Out<java.lang.String> productUniqueId)

    - #### numberOfCapabilities

          public int numberOfCapabilities(java.lang.String device_unique_id_utf8)

    - #### getCapability

          public int getCapability(java.lang.String device_unique_id_utf8,
                                   int device_capability_number,
                                   Out capability)